Subject: bug#56122: closed (Re: [bug#56122] [PATCH] guix system: Inline menu-entries in to bootcfg in perform-action.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 23 Jun 2022 12:11:02 +0000

Your bug report

#56122: [PATCH] guix system: Inline menu-entries in to bootcfg in perform-action.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
56122: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=56122
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#56122] [PATCH] guix system: Inline menu-entries in to bootcfg in perform-action.
From: Christopher Baines <[email-masked]>
To: Josselin Poiret <[email-masked]>
Cc: [email-masked]
Date: Thu, 23 Jun 2022 13:09:27 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Josselin Poiret <[email-masked]> writes:

> Hello Christopher,
>
> Christopher Baines <[email-masked]> writes:
>> This avoids an exception when generating images, where the reading of boot
>> parameters fails.
>>
>> * guix/scripts/system.scm (perform-action): Inline menu-entries in to bootcfg.
>
> Good catch!  Seems good to me, except for the missing updated copyright
> notice at the top.

Thanks for taking a look. I've pushed this as
8e2ff622ed7e493a644ebcff62299d2ed1c4e806.

I forgot to update the copyright stuff, but I'll try and remember that
for next time.

Thanks again,

Chris

Subject: [PATCH] guix system: Inline menu-entries in to bootcfg in perform-action.
From: Christopher Baines <[email-masked]>
To: [email-masked]
Date: Tue, 21 Jun 2022 12:19:00 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

This avoids an exception when generating images, where the reading of boot
parameters fails.

* guix/scripts/system.scm (perform-action): Inline menu-entries in to bootcfg.
---
 guix/scripts/system.scm | 11 +++++------
 1 file changed, 5 insertions(+), 6 deletions(-)

diff --git a/guix/scripts/system.scm b/guix/scripts/system.scm
index 63e3b9b934..b9084a401c 100644
--- a/guix/scripts/system.scm
+++ b/guix/scripts/system.scm
@@ -800,11 +800,6 @@ (define* (perform-action action image
   (define println
     (cut format #t "~a~%" <>))
 
-  (define menu-entries
-    (if (eq? 'init action)
-        '()
-        (map boot-parameters->menu-entry (profile-boot-parameters))))
-
   (define os
     (image-operating-system image))
 
@@ -813,7 +808,11 @@ (define bootloader
 
   (define bootcfg
     (and (memq action '(init reconfigure))
-         (operating-system-bootcfg os menu-entries)))
+         (operating-system-bootcfg
+          os
+          (if (eq? action 'init)
+              '()
+              (map boot-parameters->menu-entry (profile-boot-parameters))))))
 
   (when (eq? action 'reconfigure)
     (maybe-suggest-running-guix-pull)
-- 
2.36.1